Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.update
Class ClientComponentUpdate

    java.lang.Object
      nextapp.echo2.app.update.ClientComponentUpdate

All Implemented Interfaces:
  java.io.Serializable

    public class ClientComponentUpdate

extends java.lang.Object
implements java.io.Serializable

A representation of all updates made on the client to an individual component.

See Also:
  Serialized Form

Method Summary
`void` | `addInput(java.lang.String inputName, java.lang.Object inputValue)` Adds an input property to the update, describing a single change to the component's client-side state.
`Component` | `getComponent()` Returns the updated component.
`java.util.Iterator` | `getInputNames()` Returns an iterator over the names of all input properties.
`java.lang.Object` | `getInputValue(java.lang.String inputName)` Retrieves the new state of the specified input property.
`boolean` | `hasInput(java.lang.String inputName)` Determines if an input was posted with the specified property name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addInput

    public void addInput(java.lang.String inputName,
                         java.lang.Object inputValue)

  Adds an input property to the update, describing a single change to the component's client-side state.

  Parameters:
    `inputName` - the name of the input property
    `inputValue` - the new state of the property

### getComponent

    public Component getComponent()

  Returns the updated component.

  Returns:
    the component

### getInputNames

    public java.util.Iterator getInputNames()

  Returns an iterator over the names of all input properties.

  Returns:
    the `Iterator`

### getInputValue

    public java.lang.Object getInputValue(java.lang.String inputName)

  Retrieves the new state of the specified input property.

  Parameters:
    `inputName` - the name of the input property
  Returns:
    the new state

### hasInput

    public boolean hasInput(java.lang.String inputName)

  Determines if an input was posted with the specified property name.

  Parameters:
    `inputName` - the input property name
  Returns:
    true if an input is posted

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD